GET
  FILE='U:\Eigene Dateien\SPSS\KFAR.SAV'.
EXECUTE .

* DEKADE.
RECODE
  gebj
  (60 thru 69=1)  (70 thru 79=2)  INTO  dekade .
VARIABLE LABELS dekade "Die grten Hits der 60'er und 70'er Jahre".
EXECUTE .

* LOT-Fragen umkodieren.
RECODE
  lot03 lot04 lot05 lot12  (5=1)  (4=2)  (2=4)  (1=5)  .
EXECUTE .

* IDGEW.
COMPUTE idgew = groesse - 100 .
VARIABLE LABELS idgew 'Idealgewicht nach der Formel: Gre - 100' .
EXECUTE .

* LOT berechnen.
COMPUTE lot = MEAN.6(lot01,lot03,lot04,lot05,lot08,lot09,lot11,lot12) .
VARIABLE LABELS lot 'LOT-Optimismus' .
EXECUTE .

* AERGAM berechnen.
COMPUTE aergam = (aergo + aergm)/2 .
VARIABLE LABELS aergam 'Mittel der rger-Variablen' .
EXECUTE .

* AERGZ berechnen.
COMPUTE aergz =  aergm - aergo .
VARIABLE LABELS aergz 'rger-Zuwachs durch die KFA' .
EXECUTE .

* MD-Behandlung fr die Motiv-Variablen.
DO IF (SUM(motiv1 to keine) = 0) .
RECODE
  motiv1 motiv2 motiv3 motiv4 motiv5 keine  (0=SYSMIS)  .
END IF .
EXECUTE .

* MD-Behandlung fr die Methoden-Variablen, Zelle (1,1) der Tabelle.
DO IF (smg=1 and nmiss(meth1 to meth5) < 5) .
RECODE
  meth1 meth2 meth3 meth4 meth5  (SYSMIS=0)  .
END IF .
EXECUTE .

* MD-Behandlung fr die Methoden-Variablen, Zelle (1,2) der Tabelle.
DO IF (smg=1 and nmiss(meth1 to meth5) = 5) .
RECODE
  smg  (1=SYSMIS)  .
END IF .
EXECUTE .

* MD-Behandlung fr die Methoden-Variablen, Zelle (2,1) der Tabelle.
DO IF ((smg = 0)  and  (nmiss(meth1 to meth5) < 5)) .
RECODE
  smg  (0=1)  .
END IF .
EXECUTE .
DO IF ((smg = 0)  and  (nmiss(meth1 to meth5) < 5)) .
RECODE
  meth1 meth2 meth3 meth4 meth5  (SYSMIS=0)  .
END IF .
EXECUTE .

* MD-Behandlung fr die Methoden-Variablen, Zelle (2,2) der Tabelle.
DO IF (smg=0 and nmiss(meth1 to meth5)=5) .
RECODE
  meth1 meth2 meth3 meth4 meth5  (SYSMIS=0)  .
END IF .
EXECUTE .

* MD-Behandlung fr die Methoden-Variablen, Zelle (3,1) der Tabelle.
DO IF ((nmiss(smg) = 1)  and  (nmiss(meth1 to meth5) < 5)) .
RECODE
  smg  (SYSMIS=1)  .
END IF .
EXECUTE .
DO IF ((nmiss(smg) = 1)  and  (nmiss(meth1 to meth5) < 5)) .
RECODE
  meth1 meth2 meth3 meth4 meth5  (SYSMIS=0)  .
END IF .
EXECUTE .

* POLYMOT berechnen.
DO IF (nmiss(motiv1 to motiv5) = 0) .
COUNT
  polymot = motiv1 motiv2 motiv3 motiv4 motiv5  (1)  .
VARIABLE LABELS polymot 'Anzahl der Motive fr die Kursteilnahme' .
END IF .
EXECUTE .

formats dekade (f1.0) idgew (f2.0) lot (f4.2) aergam (f3.1) aergz (f3.0) polymot (f1.0).

SAVE OUTFILE='U:\Eigene Dateien\SPSS\KFA.SAV'
   /COMPRESSED.